%global srcname domelementtype

Name:           nodejs-%{srcname}
Version:        1.3.0
Release:        4%{?dist}
Summary:        All the types of nodes in htmlparser2's dom
License:        BSD
URL:            https://github.com/FB55/domelementtype
Source0:        http://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%files
%doc readme.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jul 18 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.3.0-1
- Update to upstream 1.3.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Dec  6 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.1.3-2
- Fixed license
- Added rm -rf node_modules/
- Removed Group tag

* Sun Nov 23 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.1.3-1
- Initial package
